For the complete documentation index, see llms.txt. This page is also available as Markdown.

List service-orders

List all service-orders for a tenant store. Default sorting order is by serviceOrderUid ascending.

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/serviceorders
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
serviceTypeUidsstring[]Optional

Filter by service types

assignedUserUidsstring[]Optional

Filter by assigned users

createdFromStoreUidsstring[]Optional

Filter by created-from-stores

customerUidstringOptional

Filter by customer

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/serviceorders
GET /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "serviceOrderUid": "text",
      "tenantUid": "text",
      "storeUid": "text",
      "orderProductLineUid": "text",
      "orderUid": "text",
      "customerUid": "text",
      "customerName": "text",
      "createdFromStoreUid": "text",
      "assignedUserUid": "text",
      "assignedUserDisplayName": "text",
      "serviceTypeUid": "text",
      "serviceTypeName": "text",
      "serviceStatusUid": "text",
      "serviceStatusName": "text",
      "serviceState": "NOT_STARTED",
      "title": "text",
      "serviceNumber": "text",
      "externalServiceNumber": "text",
      "description": "text",
      "locationLabel": "text",
      "priority": "NONE",
      "requiresPriceEstimate": true,
      "estimatedPrice": 1,
      "maxPrice": 1,
      "readyAtEstimate": "2026-01-01T00:00:00.000Z",
      "readyAtNeeded": "2026-01-01T00:00:00.000Z",
      "publicPageHash": "text",
      "warranty": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "totals": {
        "grandTotal": 1,
        "partsTotal": 1,
        "workTotal": 1
      },
      "items": [
        {
          "serviceOrderItemUid": "text",
          "serviceOrderUid": "text",
          "warehouseUid": "text",
          "tenantUserUid": "text",
          "productUid": "text",
          "salesOrderUid": "text",
          "quantity": 1,
          "name": "text",
          "sku": "text",
          "price": 1,
          "costPrice": 1,
          "originalPrice": 1,
          "totalPrice": 1,
          "totalCostPrice": 1,
          "serialNumber": "text",
          "note": "text",
          "tenantUserDisplayName": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text"
        }
      ],
      "assets": [
        {
          "assetUid": "text",
          "name": "text",
          "description": "text",
          "isPublic": true,
          "publicUrl": "text",
          "mimeType": "text"
        }
      ],
      "rmaOrderItemUid": "text",
      "rmaOrderUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?